Zoomdata Version

Deprecated Zoomdata Features

This topic lists the Zoomdata features that have been deprecated since version 2.6, and the version in which that occurred. If there is a new feature that should be used instead, it is also listed.

Product Area Deprecated Feature Zoomdata Release Notes
API HATEOAS links 2.6.2  
ZoomdataAPI versions 1 and 1_1 3.7 Use Zoomdata API version 2 instead.
APIs starting with paths such as /service/ 4.0 Use APIs with paths starting with /api/
The /zoomdata/system/info endpoint 4.9 Use the /zoomdata/actuator/metrics endpoint instead.
The /zoomdata/actuator/metrics-grouped endpoint 4.9 Use the /zoomdata/actuator/metrics endpoint instead.
Authentication and Authorization Supervisor administration of accounts, including data source, dashboard, and chart management for an account. 4.0 Only account administrators and account users with appropriate group permissions can manage data sources, dashboards, and charts, but the supervisor cannot.
Roles 4.2 Roles are no longer used for authorization to use the product or product features. Use groups instead.
Supervisor ability to change or reset passwords of other users 4.2 Only account administrators and account users with appropriate group permissions can change or reset user passwords.
Supervisor creation of groups 4.2 Only account administrators and account users with appropriate group permissions can create groups.
zoomdata scheduler user 4.5 Controls for scheduled data source refreshes are now set in the connection definitions used by Zoomdata to connect to your data stores.
Connectors and Data Sources Aurora connector 2.6.2 Use the MySQL connector to connect to your Aurora databases instead.
Apache Drill versions 1.11 - 1.13 4.9 Apache Drill versions 1.14 - 1.16 are supported.
Apache Solr versions older than 6.6 4.4 Apache Solr versions 6.6-7.4 are supported.
Cloudera Impala version 2.5, 2.6, and older versions 4.8 Cloudera Impala versions 2.7 - 3.2 are supported.
Elasticsearch versions 2 and older 2.6.6 Elastic dropped support for version 2 and older versions. Version 6.x is now installed by default, since Zoomdata 2.6.5.
Elasticsearch version 5 4.8 Elasticsearch versions 6.0 - 6.7 and 7.0 - 7.1 are supported.
Hive on Tez connector name 3.7 The Hive on Tez connector name was renamed to Hive.
Hive versions older than 2.1 3.7 Hive versions 2.1 - 3.1 are supported.
MemSQL version 5.0 and 5.1 4.8 MemSQL versions 6.0 - 6.7 are supported.
MongoDB used for Upload API data storage 2.6.0 PostgreSQL is now used.
MongoDB versions older than 3.4 3.6 MongoDB versions 3.4 - 4.0 are supported.
PostgreSQL version 9.3 4.9 PostgreSQL versions 9.4 - 11.1 are supported.
Spark version 1.5 and 1.6 and older in the Spark SQL connector 2.6.5 Newer versions of Spark are supported.
SparkIt capability 2.6.0  
SparkSQL versions 2.0 - 2.2 4.8 SparkSQL versions 2.3 and 2.4 are supported.
Teradata versions older than 16.20 3.6 Teradata version 16.20 is supported.
Field Types MONEY field type 4.4 Fields with MONEY field types are automatically converted to NUMBER fields.
General HTTP automatic redirects 2.6.2  
Installation script for versions prior to Zoomdata 4.1 4.1 Use the new installation script provided with 4.1.
Bundled JRE for manual installations and upgrades 4.1

The JRE previously bundled with manual installations and upgrades of Zoomdata is no longer included. Make sure you have Java 8 (1.8.0_131) or later installed before you manually install or manually upgrade to Zoomdata 4.1 or later. If you do not, Zoomdata will not start.

The Zoomdata packaged installation and upgrade scripts still provide an option to install OpenJDK, but if you skip this option, make sure that Java 8 (or later) is installed.

Product licenses prior to Zoomdata 4.9 4.9 Obtain a new license from Zoomdata Technical Support.
Server and Client Chart Studio 2.6.3 Use the custom chart CLI.
Chart font changing 2.6.5  
Exporting files in XLS file format 2.6.5  
Requesting "Remember Time Position" for a dashboard when it is saved 2.6.6 The time position is now automatically remembered when a dashboard is saved.
Screenshot microservice use of Firefox 3.2 Headless Google Chrome is now used.
RabbitMQ messaging queues from Zoomdata versions prior to 3.3 3.3 See Version 3.3 Upgrade Information in the Zoomdata version 3 documentation.
Zoomdata Streamwriter microservice 4.3 Renamed the Zoomdata Data Writer microservice.
RabbitMQ messaging queues for Zoomdata versions 4.3 and later 4.3 This functionality was replaced by updates made to the Zoomdata Data Writer microservice.
Zoomdata upload microservice 4.3
Zoomdata Scheduler microservice 4.3 All scheduling functionality is now provided by Zoomdata's primary microservice. Because of this change, migration steps must be performed to upgrade to Zoomdata 4.3. See Zoomdata Scheduler Migration.

Was this topic helpful?